Subject: Re: [PATCH net-next 09/13] net: phy: phy_port: Store information about a MII port's occupancy

From: Romain Gantois <[email-masked]>
Date: Wed, 28 Jan 2026 17:08:40 +0100

On Tuesday, 27 January 2026 14:41:57 CET Maxime Chevallier wrote:
> MII phy_ports are not meant to be connected directly to a link partner.
> They are meant to feed into some media converter devices, so far we only
> support SFP modules for that.
> 
> We have information about what MII they can handle, however we don't
> store anything about whether they are currently connected to an SFP
> module or not. As phy_port aims at listing the front-facing ports, let's
> store an "occupied" bit to know whether or not a MII port is currently
> front-facing (i.e. there's no module in the SFP cage), or occupied (i.e.
> there's an SFP module).

To me, "front-facing" refers to things like user ports on a switch versus CPU-
facing ports, I don't find it intuitive to use it to qualify a port's state of 
being connected to an empty SFP cage.

Why not use something like "vacant" or "empty" instead?

Thanks,

-- 
Romain Gantois, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com